import { ButtonGroup } from "@mui/material";
import Fields from "./Fields";
import { getStateInfo } from "@/lib/getStateInfo";

async function SearchBar() {
  const { matchedCity, matchedState } = await getStateInfo();

  return (
    <ButtonGroup
      variant="contained"
      className=" !py-[4px] sm:!py-[7px] md:!py-[10px] lg:!py-[12px] !gap-3 !px-[4px] sm:!px-[8px] md:!px-[12px] lg:!px-[16px] !mt-[22px] sm:!mt-[34px] md:!mt-[46px] lg:!mt-[60px] !bg-[#FAFAFA] !transition-all !duration-500 !shadow-[0px_1px_24.8px_0px_rgba(204,_204,_204,_0.18)] w-full lg:w-fit "
    >
      <Fields city={matchedCity} state={matchedState} />
    </ButtonGroup>
  );
}

export default SearchBar;
